Summary: UCD SNMP agent
Name: ucd-snmp
Version: 3.5.3
Release: 2
Copyright: distributable
Group: Networking/Daemons
Source: ftp://ftp.ece.ucdavis.edu:/pub/snmp/ucd-snmp-%{version}.tar.gz
Source1: ucd-snmpd.init
Source2: ucd-snmpd.conf
Patch0: ucd-snmp-3.5-perl.patch
Patch1: ucd-snmp-3.5.3-gated.patch
Patch3: ucd-snmp-3.5-ipfwacc.patch

BuildRoot: /var/tmp/ucd-snmp-root
Prereq: /sbin/chkconfig
Obsoletes: cmu-snmp

%description
This is a derivative of the original Carnegie Mellon University
Simple Network Management Protocol version 2 (SNMPv2). It is useful
for managing networks and doing accounting.

%package utils
Group: Networking/Utilities
Summary: UCD SNMP utilities
Requires: ucd-snmp
Obsoletes: cmu-snmp-utils

%description utils
These are the various utilities for use with UCD SNMP.  Contains utils
such as snmpwalk, snmptest, and more.

%package devel
Group: Networking/Utilities
Summary: UCD SNMP development libs and headers
Requires: ucd-snmp
Obsoletes: cmu-snmp-devel

%description devel
These are the development libraries and header files for UCD SNMP.
This will allow the network administrator to write programs for
use with network management.

%prep
%setup -q

%patch0 -p1 -b .perl
rm -f local/*.perl

%patch1 -p1 -b .gated
%patch3 -p1 -b .ipfwacc

%build

#
# XXX -with-libwrap:		WTFO? can't compile
# XXX --enable-debugging	very chatty
# XXX --with-mib-modules=
#	misc/ipfwacc		error message loading IPFWACC-MIB
#	misc/dlmod		dunno
#	smux_gated		needs gated with SMUX
# XXX --with-security		does this do anything?

# First build the static library
./configure --prefix=/usr				\
	--with-cc=gcc --with-cflags="$RPM_OPT_FLAGS -g"	\
	--with-sys-contact="root@localhost"		\
	--with-sys-location="Unknown"			\
	--with-logfile="/var/log/snmpd.log"

( cd snmplib
  make libsnmp.a
  mv libsnmp.a ..
  make clean
)

# Now configure everything to build with a shared library
./configure --prefix=/usr				\
	--with-cc=gcc --with-cflags="$RPM_OPT_FLAGS -g"	\
	--enable-shared					\
	--with-sys-contact="root@localhost"		\
	--with-sys-location="Unknown"			\
	--with-logfile="/var/log/snmpd.log"

# XXX Grrr -- build shared library with versioning
( cd snmplib
  make	SHLIB_EXTENSION=so.0.%{version}	\
	SHLIB_CFLAGS="-fpic"		\
	SHLIB_LD_CMD="gcc -shared -Wl,-soname -Wl,libsnmp.so.0 -o"	\
	RANLIB=/bin/echo		\
	libsnmp.so.0.%{version}
  ln -s libsnmp.so.0.%{version} libsnmp.so.0
  ln -s libsnmp.so.0 libsnmp.so
)

## XXX whack in -dl (or remove misc/dlmod from configure above)
#( cd agent
#  sed -e '/^LIBS/s/$/ -ldl/' < Makefile > Makefile.FIX
#  mv Makefile.FIX Makefile
#)

# XXX Finally ...
make LDFLAGS="-Wl,-rpath -Wl,/usr/lib" all

%install rm -rf $RPM_BUILD_ROOT

make	prefix=$RPM_BUILD_ROOT/usr	\
	exec_prefix=$RPM_BUILD_ROOT/usr \
	install 

# XXX Install hand-crafted libraries
install -m 644 libsnmp.a $RPM_BUILD_ROOT/usr/lib
install -m 644 snmplib/libsnmp.so.0.%{version} $RPM_BUILD_ROOT/usr/lib

# XXX just in case
( cd $RPM_BUILD_ROOT/usr/lib
  rm -f libsnmp.so.0
  ln -s libsnmp.so.0.%{version} libsnmp.so.0
  rm -f libsnmp.so
  ln -s libsnmp.so.0 libsnmp.so
)

install -d $RPM_BUILD_ROOT/usr/share/snmp
install -m 644 EXAMPLE.conf $RPM_BUILD_ROOT/usr/share/snmp/snmpd.conf
install -m 644 /dev/null $RPM_BUILD_ROOT/usr/share/snmp/snmpd.local.conf

ln -s ../../etc/snmp $RPM_BUILD_ROOT/usr/lib/snmp

install -d $RPM_BUILD_ROOT/etc/snmp
install -m 644 $RPM_SOURCE_DIR/ucd-snmpd.conf $RPM_BUILD_ROOT/etc/snmp/snmpd.conf
install -m 644 /dev/null $RPM_BUILD_ROOT/etc/snmp/snmpd.local.conf
for f in README acl.conf context.conf party.conf view.conf
do
	install -m 644 etc/$f $RPM_BUILD_ROOT/etc/snmp
done

install -d $RPM_BUILD_ROOT/etc/rc.d/init.d
install -m 755 $RPM_SOURCE_DIR/ucd-snmpd.init $RPM_BUILD_ROOT/etc/rc.d/init.d/snmpd

# Strip binaries
strip $RPM_BUILD_ROOT/usr/bin/* || :

%post
/sbin/ldconfig
/sbin/chkconfig --add snmpd 
#if [ ! -f /etc/snmpd.agentinfo ]; then
#  touch /etc/snmpd.agentinfo
#fi

%postun
/sbin/ldconfig
if [ $1 = 0 ]; then
   /sbin/chkconfig --del snmpd
fi

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc	ChangeLog EXAMPLE.conf FAQ NEWS PORTING README TODO bug-report local

/usr/lib/snmp
%dir	/etc/snmp
%config(missingok) /etc/snmp/snmpd.local.conf
%config	/etc/snmp/snmpd.conf
%config	/etc/snmp/acl.conf
%config	/etc/snmp/context.conf
%config	/etc/snmp/party.conf
%config	/etc/snmp/view.conf

%dir	/usr/share/snmp
%config(missingok) /usr/share/snmp/snmpd.local.conf
%config	/usr/share/snmp/snmpd.conf
%dir	/usr/share/snmp/mibs
%attr(0644,root,root)	/usr/share/snmp/mibs/*

%config /etc/rc.d/init.d/snmpd

/usr/lib/libsnmp.so.0.%{version}
/usr/sbin/snmpd
/usr/sbin/snmptrapd
%attr(0644,-,-)	/usr/man/man1/snmpd.1
%attr(0644,-,-)	/usr/man/man5/snmpd.conf.5
%attr(0644,-,-)	/usr/man/man5/variables.5
%attr(0644,-,-)	/usr/man/man8/snmptrapd.8

%files utils
%defattr(-,root,root,-)
/usr/bin/snmpbulkwalk
#/usr/bin/snmpcheck
/usr/bin/snmpdelta
/usr/bin/snmpget
/usr/bin/snmpgetnext
/usr/bin/snmpnetstat
/usr/bin/snmpset
/usr/bin/snmpstatus
/usr/bin/snmptable
/usr/bin/snmptest
/usr/bin/snmptranslate
/usr/bin/snmptrap
/usr/bin/snmpwalk
/usr/bin/tkmib

%attr(0644,-,-)	/usr/man/man1/snmpbulkwalk.1
%attr(0644,-,-)	/usr/man/man1/snmpcmd.1
%attr(0644,-,-)	/usr/man/man1/snmpdelta.1
%attr(0644,-,-)	/usr/man/man1/snmpget.1
%attr(0644,-,-)	/usr/man/man1/snmpgetnext.1
%attr(0644,-,-)	/usr/man/man1/snmpnetstat.1
%attr(0644,-,-)	/usr/man/man1/snmpset.1
%attr(0644,-,-)	/usr/man/man1/snmpstatus.1
%attr(0644,-,-)	/usr/man/man1/snmptable.1
%attr(0644,-,-)	/usr/man/man1/snmptest.1
%attr(0644,-,-)	/usr/man/man1/snmptranslate.1
%attr(0644,-,-)	/usr/man/man1/snmptrap.1
%attr(0644,-,-)	/usr/man/man1/snmpwalk.1

%files devel
%defattr(0644,root,root,0755)
/usr/lib/libsnmp.so
/usr/lib/libsnmp.a
/usr/include/ucd-snmp
%attr(0644,-,-)	/usr/man/man3/mib_api.3
%attr(0644,-,-)	/usr/man/man3/snmp_api.3

%changelog
* Mon Oct 12 1998 Cristian Gafton <gafton@redhat.com>
- strip binaries

* Fri Oct  2 1998 Jeff Johnson <jbj@redhat.com>
- update to 3.5.3.
- don't include snmpcheck until perl-SNMP is packaged.

* Thu Aug 13 1998 Jeff Johnson <jbj@redhat.com>
- ucd-snmpd.init: start daemon w/o -f.

* Tue Aug  4 1998 Jeff Johnson <jbj@redhat.com>
- don't start snmpd unless requested
- start snmpd after pcmcia.

* Sun Jun 21 1998 Jeff Johnson <jbj@redhat.com>
- all but config (especially SNMPv2p) ready for prime time

* Sat Jun 20 1998 Jeff Johnson <jbj@redhat.com>
- update to 3.5.

* Tue Dec 30 1997 Otto Hammersmith <otto@redhat.com>
- created the package... possibly replace cmu-snmp with this.
